Bug 1477636 - Fedora - OpenSSH: Add enablement for openssl-ibmca and openssl-ibmpkcs11 (security/crypto)
Fedora - OpenSSH: Add enablement for openssl-ibmca and openssl-ibmpkcs11 (sec...
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
s390x Linux
unspecified Severity high
: ---
: ---
Assigned To: Jakub Jelen
Fedora Extras Quality Assurance
Depends On:
Blocks: ZedoraTracker 1478035 1478034
  Show dependency treegraph
Reported: 2017-08-02 10:01 EDT by IBM Bug Proxy
Modified: 2017-12-10 00:03 EST (History)
8 users (show)

See Also:
Fixed In Version: openssh-7.6p1-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-10 00:03:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 157209 None None None 2017-08-02 10:01 EDT

  None (edit)
Description IBM Bug Proxy 2017-08-02 10:01:18 EDT

Comment 1 IBM Bug Proxy 2017-08-02 10:01:27 EDT
OpenSSH requires the following patches to allow the use of openssl-ibmca and openssl-ibmpkcs11.

("[PATCH 0/3] Allow syscalls for openssl engines")
("[PATCH 1/3] Allow flock and ipc syscall for s390 architecture")
("[PATCH 2/3] Allow getuid and geteuid calls")
("[PATCH 3/3] Enable specific ioctl call for EP11 crypto card (s390)")

These patches have been posted but are not upstream included in OpenSSH yet.

Background information:

Currently the projects openssl-ibmca and openssl-ibmpkcs11 do not run well with OpenSSH seccomp filter. Whenever you load those engines and try to perform an ssh or scp it will fail as the seccomp filter blocks some syscalls. 

We have also opened the upstream bugzilla at
to get the above patches upstream accepted in OpenSSH as soon as possible.

As it is taking more time than we would like to get the patches merged upstream, we wanted to ask if the above three patches could be included in the OpenSSH rpm of Fedora.

This would allow both openssl-ibmca and openssl-ibmpkcs11 to be loaded and used when doing a ssh or scp. Right now if a user is logging into a machine using ssh and load one of those engines and let it loaded, after logging out he will not be able to log into that machine anymore.
Comment 2 Jan Kurik 2017-08-15 03:07:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 3 Fedora Update System 2017-11-22 04:05:26 EST
openssh-7.6p1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-96d1995b70
Comment 4 Fedora Update System 2017-11-22 16:42:24 EST
openssh-7.6p1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-96d1995b70
Comment 5 Fedora Update System 2017-12-10 00:03:58 EST
openssh-7.6p1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.